Set RandomNumberSeed = 0
Set SimSpeed = AS_FAST_AS_POSSIBLE
Set TickToNanoSec = 1
Set WireLogFlag = on
Set WirelessLogFlag = on
Set LteLogFlag = on
Set WiFiChannelCoding11a = on
Set WiFiChannelCoding11n = on
Set WiFiEnableBitError11a = off
Set WiFiEnableBitError11n = off
Set WAVEEnableBitError = off
Set WAVEChannelCoding = on
Set LTEChannelCoding = off
Set RunTimePacketAnimationNodeMovementAndGroupingStatus = off
Set IP_Prefix = 1.0.0.0


Create Node 1 as MOBILE with name = MOBILE1
	Define port 1
		Module TRAFFICLIGHT_BEHAVIOR : Node1_TRAFFICLIGHT_BEHAVIOR_PORT_1

		Module PseudoIf : Node1_PseudoIf_PORT_1
			Set Node1_PseudoIf_PORT_1.ip = 1.0.2.1
			Set Node1_PseudoIf_PORT_1.netmask = 255.255.255.0

		Module Link : Node1_PORT_1
			Set Node1_PORT_1.guitag_remotenode = yes


		Bind Node1_TRAFFICLIGHT_BEHAVIOR_PORT_1 Node1_PseudoIf_PORT_1
		Bind Node1_PseudoIf_PORT_1 Node1_PORT_1
	EndDefine

EndCreate

Create Node 2 as MOBILE with name = MOBILE2
	Define port 1
		Module Interface : Node2_Interface_PORT_1
			Set Node2_Interface_PORT_1.ip = 1.0.1.1
			Set Node2_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node2_CLASSIFY_PORT_1
			Set Node2_CLASSIFY_PORT_1.EnableClassify = on
			Set Node2_CLASSIFY_PORT_1.ClassifyFileName = LaneChanging.N2_P1.flow_rule

		Module ARP : Node2_ARP_PORT_1
			Set Node2_ARP_PORT_1.arpMode = RunARP
			Set Node2_ARP_PORT_1.flushInterval = 3000
			Set Node2_ARP_PORT_1.ArpTableFileName = LaneChanging.arp

		Module FIFO : Node2_FIFO_PORT_1
			Set Node2_FIFO_PORT_1.max_qlen = 50
			Set Node2_FIFO_PORT_1.log_qlen = off
			Set Node2_FIFO_PORT_1.log_option = FullLog
			Set Node2_FIFO_PORT_1.samplerate = 1
			Set Node2_FIFO_PORT_1.logFileName = LaneChanging.fifo_N2_P1_qlen.log
			Set Node2_FIFO_PORT_1.log_drop = off
			Set Node2_FIFO_PORT_1.drop_samplerate = 1
			Set Node2_FIFO_PORT_1.droplogFileName = LaneChanging.fifo_N2_P1_drop.log

		Module TCPDUMP : Node2_TCPDUMP_PORT_1

		Module LO : Node2_LO_PORT_1

		Module MNode : Node2_MNode_PORT_1
			Set Node2_MNode_PORT_1.OperationMode = AD_HOC
			Set Node2_MNode_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node2_MNode_PORT_1.DesignedCh = off

		Module MAC80211a : Node2_MAC80211a_PORT_1
			Set Node2_MAC80211a_PORT_1.mac = 0:1:0:0:0:2
			Set Node2_MAC80211a_PORT_1.PromisOpt = off
			Set Node2_MAC80211a_PORT_1.RTS_Threshold = 3000
			Set Node2_MAC80211a_PORT_1.log = off
			Set Node2_MAC80211a_PORT_1.logInterval = 1
			Set Node2_MAC80211a_PORT_1.NumUniInPkt = off
			Set Node2_MAC80211a_PORT_1.NumUniOutPkt = off
			Set Node2_MAC80211a_PORT_1.NumUniInOutPkt = off
			Set Node2_MAC80211a_PORT_1.NumBroInPkt = off
			Set Node2_MAC80211a_PORT_1.NumBroOutPkt = off
			Set Node2_MAC80211a_PORT_1.NumBroInOutPkt = off
			Set Node2_MAC80211a_PORT_1.NumCollision = off
			Set Node2_MAC80211a_PORT_1.NumDrop = off
			Set Node2_MAC80211a_PORT_1.InThrput = off
			Set Node2_MAC80211a_PORT_1.OutThrput = off
			Set Node2_MAC80211a_PORT_1.InOutThrput = off
			Set Node2_MAC80211a_PORT_1.UniInLogFile = LaneChanging.80211a_N2_P1_UniIn.log
			Set Node2_MAC80211a_PORT_1.UniOutLogFile = LaneChanging.80211a_N2_P1_UniOut.log
			Set Node2_MAC80211a_PORT_1.UniInOutLogFile = LaneChanging.80211a_N2_P1_UniInOut.log
			Set Node2_MAC80211a_PORT_1.BroInLogFile = LaneChanging.80211a_N2_P1_BroIn.log
			Set Node2_MAC80211a_PORT_1.BroOutLogFile = LaneChanging.80211a_N2_P1_BroOut.log
			Set Node2_MAC80211a_PORT_1.BroInOutLogFile = LaneChanging.80211a_N2_P1_BroInOut.log
			Set Node2_MAC80211a_PORT_1.CollLogFile = LaneChanging.80211a_N2_P1_Coll.log
			Set Node2_MAC80211a_PORT_1.DropLogFile = LaneChanging.80211a_N2_P1_Drop.log
			Set Node2_MAC80211a_PORT_1.InThrputLogFile = LaneChanging.80211a_N2_P1_InThrput.log
			Set Node2_MAC80211a_PORT_1.OutThrputLogFile = LaneChanging.80211a_N2_P1_OutThrput.log
			Set Node2_MAC80211a_PORT_1.InOutThrputLogFile = LaneChanging.80211a_N2_P1_InOutThrput.log

		Module PHY80211a : Node2_PHY80211a_PORT_1
			Set Node2_PHY80211a_PORT_1.channel = 36
			Set Node2_PHY80211a_PORT_1.bw = 6
			Set Node2_PHY80211a_PORT_1.freq = 5180
			Set Node2_PHY80211a_PORT_1.TransPower = 16.02
			Set Node2_PHY80211a_PORT_1.CSThresh = -82.0
			Set Node2_PHY80211a_PORT_1.linkfail = off
			Set Node2_PHY80211a_PORT_1.linkfailFileName = LaneChanging.phy_80211a_N2_P1.linkfail
			Set Node2_PHY80211a_PORT_1.TXlogFlag = off
			Set Node2_PHY80211a_PORT_1.RXlogFlag = off
			Set Node2_PHY80211a_PORT_1.TXlogFileName = LaneChanging.phy_80211a_N2_P1.txlog
			Set Node2_PHY80211a_PORT_1.RXlogFileName = LaneChanging.phy_80211a_N2_P1.rxlog

		Module CM : Node2_CM_PORT_1
			Set Node2_CM_PORT_1.FadingVar = 10.0
			Set Node2_CM_PORT_1.RiceanK = 10.0
			Set Node2_CM_PORT_1.avgHB = 10.0
			Set Node2_CM_PORT_1.avgDist = 80.0
			Set Node2_CM_PORT_1.StreetWidth = 30.0
			Set Node2_CM_PORT_1.PLExp = 2.0
			Set Node2_CM_PORT_1.std_db = 4.0
			Set Node2_CM_PORT_1.dist0 = 1.0
			Set Node2_CM_PORT_1.SystemLoss = 1.0
			Set Node2_CM_PORT_1.antennaHeight = 1.5
			Set Node2_CM_PORT_1.propChannelMode = theoretical
			Set Node2_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node2_CM_PORT_1.fadingModel = None
			Set Node2_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node2_CM_PORT_1.BeamWidth = 360
			Set Node2_CM_PORT_1.PointingDirection = 90
			Set Node2_CM_PORT_1.AngularSpeed = 0
			Set Node2_CM_PORT_1.AGPOpt = 0
			Set Node2_CM_PORT_1.AGPFileName = null

		Module Link : Node2_PORT_1
			Set Node2_PORT_1.guitag_remotenode = yes


		Bind Node2_Interface_PORT_1 Node2_CLASSIFY_PORT_1
		Bind Node2_CLASSIFY_PORT_1 Node2_ARP_PORT_1
		Bind Node2_ARP_PORT_1 Node2_FIFO_PORT_1
		Bind Node2_FIFO_PORT_1 Node2_TCPDUMP_PORT_1
		Bind Node2_TCPDUMP_PORT_1 Node2_LO_PORT_1
		Bind Node2_LO_PORT_1 Node2_MNode_PORT_1
		Bind Node2_MNode_PORT_1 Node2_MAC80211a_PORT_1
		Bind Node2_MAC80211a_PORT_1 Node2_PHY80211a_PORT_1
		Bind Node2_PHY80211a_PORT_1 Node2_CM_PORT_1
		Bind Node2_CM_PORT_1 Node2_PORT_1
	EndDefine

EndCreate

Create Node 3 as MOBILE with name = MOBILE3
	Define port 1
		Module Interface : Node3_Interface_PORT_1
			Set Node3_Interface_PORT_1.ip = 1.0.1.2
			Set Node3_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node3_CLASSIFY_PORT_1
			Set Node3_CLASSIFY_PORT_1.EnableClassify = on
			Set Node3_CLASSIFY_PORT_1.ClassifyFileName = LaneChanging.N3_P1.flow_rule

		Module ARP : Node3_ARP_PORT_1
			Set Node3_ARP_PORT_1.arpMode = RunARP
			Set Node3_ARP_PORT_1.flushInterval = 3000
			Set Node3_ARP_PORT_1.ArpTableFileName = LaneChanging.arp

		Module FIFO : Node3_FIFO_PORT_1
			Set Node3_FIFO_PORT_1.max_qlen = 50
			Set Node3_FIFO_PORT_1.log_qlen = off
			Set Node3_FIFO_PORT_1.log_option = FullLog
			Set Node3_FIFO_PORT_1.samplerate = 1
			Set Node3_FIFO_PORT_1.logFileName = LaneChanging.fifo_N3_P1_qlen.log
			Set Node3_FIFO_PORT_1.log_drop = off
			Set Node3_FIFO_PORT_1.drop_samplerate = 1
			Set Node3_FIFO_PORT_1.droplogFileName = LaneChanging.fifo_N3_P1_drop.log

		Module TCPDUMP : Node3_TCPDUMP_PORT_1

		Module LO : Node3_LO_PORT_1

		Module MNode : Node3_MNode_PORT_1
			Set Node3_MNode_PORT_1.OperationMode = AD_HOC
			Set Node3_MNode_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node3_MNode_PORT_1.DesignedCh = off

		Module MAC80211a : Node3_MAC80211a_PORT_1
			Set Node3_MAC80211a_PORT_1.mac = 0:1:0:0:0:3
			Set Node3_MAC80211a_PORT_1.PromisOpt = off
			Set Node3_MAC80211a_PORT_1.RTS_Threshold = 3000
			Set Node3_MAC80211a_PORT_1.log = off
			Set Node3_MAC80211a_PORT_1.logInterval = 1
			Set Node3_MAC80211a_PORT_1.NumUniInPkt = off
			Set Node3_MAC80211a_PORT_1.NumUniOutPkt = off
			Set Node3_MAC80211a_PORT_1.NumUniInOutPkt = off
			Set Node3_MAC80211a_PORT_1.NumBroInPkt = off
			Set Node3_MAC80211a_PORT_1.NumBroOutPkt = off
			Set Node3_MAC80211a_PORT_1.NumBroInOutPkt = off
			Set Node3_MAC80211a_PORT_1.NumCollision = off
			Set Node3_MAC80211a_PORT_1.NumDrop = off
			Set Node3_MAC80211a_PORT_1.InThrput = off
			Set Node3_MAC80211a_PORT_1.OutThrput = off
			Set Node3_MAC80211a_PORT_1.InOutThrput = off
			Set Node3_MAC80211a_PORT_1.UniInLogFile = LaneChanging.80211a_N3_P1_UniIn.log
			Set Node3_MAC80211a_PORT_1.UniOutLogFile = LaneChanging.80211a_N3_P1_UniOut.log
			Set Node3_MAC80211a_PORT_1.UniInOutLogFile = LaneChanging.80211a_N3_P1_UniInOut.log
			Set Node3_MAC80211a_PORT_1.BroInLogFile = LaneChanging.80211a_N3_P1_BroIn.log
			Set Node3_MAC80211a_PORT_1.BroOutLogFile = LaneChanging.80211a_N3_P1_BroOut.log
			Set Node3_MAC80211a_PORT_1.BroInOutLogFile = LaneChanging.80211a_N3_P1_BroInOut.log
			Set Node3_MAC80211a_PORT_1.CollLogFile = LaneChanging.80211a_N3_P1_Coll.log
			Set Node3_MAC80211a_PORT_1.DropLogFile = LaneChanging.80211a_N3_P1_Drop.log
			Set Node3_MAC80211a_PORT_1.InThrputLogFile = LaneChanging.80211a_N3_P1_InThrput.log
			Set Node3_MAC80211a_PORT_1.OutThrputLogFile = LaneChanging.80211a_N3_P1_OutThrput.log
			Set Node3_MAC80211a_PORT_1.InOutThrputLogFile = LaneChanging.80211a_N3_P1_InOutThrput.log

		Module PHY80211a : Node3_PHY80211a_PORT_1
			Set Node3_PHY80211a_PORT_1.channel = 36
			Set Node3_PHY80211a_PORT_1.bw = 6
			Set Node3_PHY80211a_PORT_1.freq = 5180
			Set Node3_PHY80211a_PORT_1.TransPower = 16.02
			Set Node3_PHY80211a_PORT_1.CSThresh = -82.0
			Set Node3_PHY80211a_PORT_1.linkfail = off
			Set Node3_PHY80211a_PORT_1.linkfailFileName = LaneChanging.phy_80211a_N3_P1.linkfail
			Set Node3_PHY80211a_PORT_1.TXlogFlag = off
			Set Node3_PHY80211a_PORT_1.RXlogFlag = off
			Set Node3_PHY80211a_PORT_1.TXlogFileName = LaneChanging.phy_80211a_N3_P1.txlog
			Set Node3_PHY80211a_PORT_1.RXlogFileName = LaneChanging.phy_80211a_N3_P1.rxlog

		Module CM : Node3_CM_PORT_1
			Set Node3_CM_PORT_1.FadingVar = 10.0
			Set Node3_CM_PORT_1.RiceanK = 10.0
			Set Node3_CM_PORT_1.avgHB = 10.0
			Set Node3_CM_PORT_1.avgDist = 80.0
			Set Node3_CM_PORT_1.StreetWidth = 30.0
			Set Node3_CM_PORT_1.PLExp = 2.0
			Set Node3_CM_PORT_1.std_db = 4.0
			Set Node3_CM_PORT_1.dist0 = 1.0
			Set Node3_CM_PORT_1.SystemLoss = 1.0
			Set Node3_CM_PORT_1.antennaHeight = 1.5
			Set Node3_CM_PORT_1.propChannelMode = theoretical
			Set Node3_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node3_CM_PORT_1.fadingModel = None
			Set Node3_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node3_CM_PORT_1.BeamWidth = 360
			Set Node3_CM_PORT_1.PointingDirection = 90
			Set Node3_CM_PORT_1.AngularSpeed = 0
			Set Node3_CM_PORT_1.AGPOpt = 0
			Set Node3_CM_PORT_1.AGPFileName = null

		Module Link : Node3_PORT_1
			Set Node3_PORT_1.guitag_remotenode = yes


		Bind Node3_Interface_PORT_1 Node3_CLASSIFY_PORT_1
		Bind Node3_CLASSIFY_PORT_1 Node3_ARP_PORT_1
		Bind Node3_ARP_PORT_1 Node3_FIFO_PORT_1
		Bind Node3_FIFO_PORT_1 Node3_TCPDUMP_PORT_1
		Bind Node3_TCPDUMP_PORT_1 Node3_LO_PORT_1
		Bind Node3_LO_PORT_1 Node3_MNode_PORT_1
		Bind Node3_MNode_PORT_1 Node3_MAC80211a_PORT_1
		Bind Node3_MAC80211a_PORT_1 Node3_PHY80211a_PORT_1
		Bind Node3_PHY80211a_PORT_1 Node3_CM_PORT_1
		Bind Node3_CM_PORT_1 Node3_PORT_1
	EndDefine

EndCreate

Create Node 4 as MOBILE with name = MOBILE4
	Define port 1
		Module Interface : Node4_Interface_PORT_1
			Set Node4_Interface_PORT_1.ip = 1.0.1.3
			Set Node4_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node4_CLASSIFY_PORT_1
			Set Node4_CLASSIFY_PORT_1.EnableClassify = on
			Set Node4_CLASSIFY_PORT_1.ClassifyFileName = LaneChanging.N4_P1.flow_rule

		Module ARP : Node4_ARP_PORT_1
			Set Node4_ARP_PORT_1.arpMode = RunARP
			Set Node4_ARP_PORT_1.flushInterval = 3000
			Set Node4_ARP_PORT_1.ArpTableFileName = LaneChanging.arp

		Module FIFO : Node4_FIFO_PORT_1
			Set Node4_FIFO_PORT_1.max_qlen = 50
			Set Node4_FIFO_PORT_1.log_qlen = off
			Set Node4_FIFO_PORT_1.log_option = FullLog
			Set Node4_FIFO_PORT_1.samplerate = 1
			Set Node4_FIFO_PORT_1.logFileName = LaneChanging.fifo_N4_P1_qlen.log
			Set Node4_FIFO_PORT_1.log_drop = off
			Set Node4_FIFO_PORT_1.drop_samplerate = 1
			Set Node4_FIFO_PORT_1.droplogFileName = LaneChanging.fifo_N4_P1_drop.log

		Module TCPDUMP : Node4_TCPDUMP_PORT_1

		Module LO : Node4_LO_PORT_1

		Module MNode : Node4_MNode_PORT_1
			Set Node4_MNode_PORT_1.OperationMode = AD_HOC
			Set Node4_MNode_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node4_MNode_PORT_1.DesignedCh = off

		Module MAC80211a : Node4_MAC80211a_PORT_1
			Set Node4_MAC80211a_PORT_1.mac = 0:1:0:0:0:4
			Set Node4_MAC80211a_PORT_1.PromisOpt = off
			Set Node4_MAC80211a_PORT_1.RTS_Threshold = 3000
			Set Node4_MAC80211a_PORT_1.log = off
			Set Node4_MAC80211a_PORT_1.logInterval = 1
			Set Node4_MAC80211a_PORT_1.NumUniInPkt = off
			Set Node4_MAC80211a_PORT_1.NumUniOutPkt = off
			Set Node4_MAC80211a_PORT_1.NumUniInOutPkt = off
			Set Node4_MAC80211a_PORT_1.NumBroInPkt = off
			Set Node4_MAC80211a_PORT_1.NumBroOutPkt = off
			Set Node4_MAC80211a_PORT_1.NumBroInOutPkt = off
			Set Node4_MAC80211a_PORT_1.NumCollision = off
			Set Node4_MAC80211a_PORT_1.NumDrop = off
			Set Node4_MAC80211a_PORT_1.InThrput = off
			Set Node4_MAC80211a_PORT_1.OutThrput = off
			Set Node4_MAC80211a_PORT_1.InOutThrput = off
			Set Node4_MAC80211a_PORT_1.UniInLogFile = LaneChanging.80211a_N4_P1_UniIn.log
			Set Node4_MAC80211a_PORT_1.UniOutLogFile = LaneChanging.80211a_N4_P1_UniOut.log
			Set Node4_MAC80211a_PORT_1.UniInOutLogFile = LaneChanging.80211a_N4_P1_UniInOut.log
			Set Node4_MAC80211a_PORT_1.BroInLogFile = LaneChanging.80211a_N4_P1_BroIn.log
			Set Node4_MAC80211a_PORT_1.BroOutLogFile = LaneChanging.80211a_N4_P1_BroOut.log
			Set Node4_MAC80211a_PORT_1.BroInOutLogFile = LaneChanging.80211a_N4_P1_BroInOut.log
			Set Node4_MAC80211a_PORT_1.CollLogFile = LaneChanging.80211a_N4_P1_Coll.log
			Set Node4_MAC80211a_PORT_1.DropLogFile = LaneChanging.80211a_N4_P1_Drop.log
			Set Node4_MAC80211a_PORT_1.InThrputLogFile = LaneChanging.80211a_N4_P1_InThrput.log
			Set Node4_MAC80211a_PORT_1.OutThrputLogFile = LaneChanging.80211a_N4_P1_OutThrput.log
			Set Node4_MAC80211a_PORT_1.InOutThrputLogFile = LaneChanging.80211a_N4_P1_InOutThrput.log

		Module PHY80211a : Node4_PHY80211a_PORT_1
			Set Node4_PHY80211a_PORT_1.channel = 36
			Set Node4_PHY80211a_PORT_1.bw = 6
			Set Node4_PHY80211a_PORT_1.freq = 5180
			Set Node4_PHY80211a_PORT_1.TransPower = 16.02
			Set Node4_PHY80211a_PORT_1.CSThresh = -82.0
			Set Node4_PHY80211a_PORT_1.linkfail = off
			Set Node4_PHY80211a_PORT_1.linkfailFileName = LaneChanging.phy_80211a_N4_P1.linkfail
			Set Node4_PHY80211a_PORT_1.TXlogFlag = off
			Set Node4_PHY80211a_PORT_1.RXlogFlag = off
			Set Node4_PHY80211a_PORT_1.TXlogFileName = LaneChanging.phy_80211a_N4_P1.txlog
			Set Node4_PHY80211a_PORT_1.RXlogFileName = LaneChanging.phy_80211a_N4_P1.rxlog

		Module CM : Node4_CM_PORT_1
			Set Node4_CM_PORT_1.FadingVar = 10.0
			Set Node4_CM_PORT_1.RiceanK = 10.0
			Set Node4_CM_PORT_1.avgHB = 10.0
			Set Node4_CM_PORT_1.avgDist = 80.0
			Set Node4_CM_PORT_1.StreetWidth = 30.0
			Set Node4_CM_PORT_1.PLExp = 2.0
			Set Node4_CM_PORT_1.std_db = 4.0
			Set Node4_CM_PORT_1.dist0 = 1.0
			Set Node4_CM_PORT_1.SystemLoss = 1.0
			Set Node4_CM_PORT_1.antennaHeight = 1.5
			Set Node4_CM_PORT_1.propChannelMode = theoretical
			Set Node4_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node4_CM_PORT_1.fadingModel = None
			Set Node4_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node4_CM_PORT_1.BeamWidth = 360
			Set Node4_CM_PORT_1.PointingDirection = 90
			Set Node4_CM_PORT_1.AngularSpeed = 0
			Set Node4_CM_PORT_1.AGPOpt = 0
			Set Node4_CM_PORT_1.AGPFileName = null

		Module Link : Node4_PORT_1
			Set Node4_PORT_1.guitag_remotenode = yes


		Bind Node4_Interface_PORT_1 Node4_CLASSIFY_PORT_1
		Bind Node4_CLASSIFY_PORT_1 Node4_ARP_PORT_1
		Bind Node4_ARP_PORT_1 Node4_FIFO_PORT_1
		Bind Node4_FIFO_PORT_1 Node4_TCPDUMP_PORT_1
		Bind Node4_TCPDUMP_PORT_1 Node4_LO_PORT_1
		Bind Node4_LO_PORT_1 Node4_MNode_PORT_1
		Bind Node4_MNode_PORT_1 Node4_MAC80211a_PORT_1
		Bind Node4_MAC80211a_PORT_1 Node4_PHY80211a_PORT_1
		Bind Node4_PHY80211a_PORT_1 Node4_CM_PORT_1
		Bind Node4_CM_PORT_1 Node4_PORT_1
	EndDefine

EndCreate

Connect WIRELESS 2.Node2_PORT_1 3.Node3_PORT_1 4.Node4_PORT_1 


Run 30
